SPONSORS:






User Tag List

Results 1 to 5 of 5
  1. #1
    Member
    Join Date
    Feb 2001
    Posts
    32
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Fundamental problem with Silk ?

    One thing I notice: we're using SilkTest 5.0.3.2 and we just upgraded some of our browers to IE 6.x and NS 6.x. SilkTest can recognize neither right off the bat! I know about extensions and how it is set for IE 5.x or NS 4.x, but it should be able to recognize something at least! We're evaluating WinRunner as well and it had no problems recognizing 6.x versions of either browser. (It was a little work to set up the GUI maps initially but at least it recognized the darn thing.)

    Does anyone know if SilkTest supports the ability for you to add browser declarations for new browers so you don't have to wait for Segue to catch up?

    (I should mention that we're using the VO method of recording because we need to support NS 4.x versions which don't support the DOM. I will eventually switch to DOM just to see if that works with IE 6.x or NS 6.x. My guess: it won't.)

    ------------------

  2. #2
    Member
    Join Date
    Feb 2001
    Posts
    32
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Fundamental problem with Silk ?

    No great shock, but switching to the DOM didn't help. It appears that IE 6.x just can't be recognized. If anyone knows how you can force SilkTest to recognize browsers, I'd appreciate hearing about it. I know about the browser.inc and explorer.inc files but I'm not sure if modifying those would even work. Segue support was no help whatsoever saying that they release updates when browsers become popular (apparently not thinking that a few companies might want to be proactive and test on the browsers before wide release! What a shocking thought!) Okay sorry - I'm a little ticked off.

    ------------------

  3. #3
    Junior Member
    Join Date
    Apr 2001
    Posts
    10
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Fundamental problem with Silk ?

    Where can you get IE6? Is it released yet?

    As to netscap6, Silktest5.5 doesn't work using VO. However, for IE5.4, Silktest5.5 should work in both VO and DOM.

    ------------------

  4. #4
    Member
    Join Date
    Feb 2001
    Posts
    32
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Fundamental problem with Silk ?

    IE 6.x is in Public Preview but that means it's pretty much out the door at this point. You can get it from the same place you get all the IE browers - Microsoft! Just go to their update page for Windows. As far as Netscape 6 not working with VO, I found that out. It also doesn't work with the DOM setup that SilkTest provides for Netscape 6 (which you have to setup yourself). As far as "IE 5.4," I assume you mean "5.5" since there was no 5.4. I can get SilkTest to work with IE 5.5 now. It's just with 6 that the problems come in. And it more speaks to the fundamental issue: how can we keep SilkTest current when Segue still has to get something out that will work.

    (Also: you mention "SilkTest 5.5." I hadn't heard any mention of this. I'm using SilkTest 5.0.3.2.)

    ------------------

  5. #5
    Senior Member
    Join Date
    Aug 1999
    Location
    San Diego, CA USA
    Posts
    219
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Fundamental problem with Silk ?

    SilkTest 5.5 was released via the Segue download area on Monday 4/23. Always check the release notes for which browser versions are now supported with that version of SilkTest.

    One thing you might want to remember is that there is no way Segue or any other vendor can support a new version of a product before it's officially (not beta) released. It might happen that there might be some things working OK, but official support of a new version of a browser requires that Segue have and test their product using that new browser version. And with the way things change as a result of a beta test, we can't begin to expect them to support a new version based on some testing of a beta version of a companion product such as a browser.

    Also, without knowing the technical or possibly even programmer-level details about exactly what and how things changed in IE6, it's not very fair to expect SilkTest to be able to "recognize something at least".

    [This message has been edited by pcostigan (edited 04-26-2001).]

 

 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

vBulletin Optimisation provided by vB Optimise v2.6.0 Beta 4 (Pro) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
User Alert System provided by Advanced User Tagging v3.0.9 (Pro) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
Questions / Answers Form provided by vBAnswers (Pro) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
vBNominatevBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
Feedback Buttons provided by Advanced Post Thanks / Like (Pro) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
Username Changing provided by Username Change (Free) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
BetaSoft Inc.
Digital Point modules: Sphinx-based search
All times are GMT -8. The time now is 02:33 PM.

Copyright BetaSoft Inc.